//
//  PreferencesTableViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 8/28/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import UIKit

class PreferencesTableViewController: UITableViewController {

    static func create() -> UINavigationController {
        guard let navigationController = UIStoryboard(name: "Preferences", bundle: nil).instantiateInitialViewController() as? UINavigationController else { fatalError() }
        return navigationController
    }
    
    
    @IBOutlet weak var defaultPostVisibilityLabel: UILabel!
    @IBOutlet weak var automaticallySaveDraftsSwitch: UISwitch!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        automaticallySaveDraftsSwitch.setOn(Preferences.shared.automaticallySaveDrafts, animated: false)
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        defaultPostVisibilityLabel.text = Preferences.shared.defaultPostVisibility.displayName
    }

    @IBAction func automaticallySaveDraftsChanged(_ sender: Any) {
        Preferences.shared.automaticallySaveDrafts = automaticallySaveDraftsSwitch.isOn
    }
    
}
